Latest 1.1.0
Homepage https://github.com/nakajijapan/VersionUpdater
License MIT
Platforms ios 10.0, requires ARC
Authors

Carthage
Version
License
Platform

VersionUpdater inform users about new app version release, and can force users update the application to the version.

Inspired: https://github.com/kazu0620/SRGVersionUpdater (Objective-C)

Requirements

  • iOS 10.0+
  • Xcode 9+
  • Swift 4+

CocoaPods

VersionUpdater is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "VersionUpdater"

Then, run the following code:

$ pod install

Carthage

Carthage is a decentralized dependency manager for Cocoa applications.

$ brew update
$ brew install carthage

To integrate VersionUpdater into your Xcode project using Carthage, specify it in your Cartfile:

github "nakajijapan/VersionUpdater"

Then, run the following command to build the VersionUpdater framework:

$ carthage update

Author

nakajijapan, [email protected]

License

VersionUpdater is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "VersionUpdater",
    "version": "1.1.0",
    "summary": "VersionUpdater inform users about new app version release, and can force users update the application to the version.",
    "homepage": "https://github.com/nakajijapan/VersionUpdater",
    "license": "MIT",
    "authors": {
        "nakajijapan": "[email protected]"
    },
    "source": {
        "git": "https://github.com/nakajijapan/VersionUpdater.git",
        "tag": "1.1.0"
    },
    "platforms": {
        "ios": "10.0"
    },
    "source_files": "Sources/Classes/**/*",
    "resources": "VersionUpdater.bundle",
    "swift_version": "4.0",
    "requires_arc": true
}

Pin It on Pinterest

Share This